uBuntu 6.10 提示libgcc_s.so.1 not found,无法启动应用程序,已解决!

系统错误报告和讨论
回复
birkoff
帖子: 2
注册时间: 2006-12-05 23:21
送出感谢: 0
接收感谢: 0

uBuntu 6.10 提示libgcc_s.so.1 not found,无法启动应用程序,已解决!

#1

帖子 birkoff » 2006-12-05 23:24

错误提示:

/usr/local/EasyDiscuz/lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)

查找相关库文件
ldd /usr/lib/libstdc++.so.6
/usr/lib/libstdc++.so.6: /usr/local/EasyDiscuz/lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)
linux-gate.so.1 => (0xffffe000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb7ec8000)
libgcc_s.so.1 => /usr/local/EasyDiscuz/lib/libgcc_s.so.1 (0xb7ebf000) //注意这里
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb7d8a000)
/lib/ld-linux.so.2 (0x80000000)

然后把/usr/local/EasyDiscuz/lib/libgcc_s.so.1 改名
sudo mv /usr/local/EasyDiscuz/lib/libgcc_s.so.1 /usr/local/EasyDiscuz/lib/libgcc_s.so.1 .old

问题解决,系统又正常了。
上次由 birkoff 在 2006-12-06 7:40,总共编辑 1 次。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-12-06 0:05

终端可以开不?执行amule试试。
● 鸣学
回复

回到 “Ubuntu错误报告”